#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QString>
#include <QtOpenGL>
#include <QGLWidget>
#include <QGLFormat>

class GLWidget : public QGLWidget
{
    Q_OBJECT
public:
    GLWidget(QWidget *parent = 0) : QGLWidget(parent) {};
    QSize sizeHint() const;
    void resizeGL(int width, int height);

protected:
    void initializeGL();
    void paintGL();

    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void keyPressEvent(QKeyEvent *event);

signals:

public slots:

};

#endif // GLWIDGET_H
